class GetActorRightsDefinition:
    actor_id: int
    entity_types: list[str]

    def __init__(self, actor_id: int, entity_types: list[str]):
        self.actor_id = actor_id
        self.entity_types = entity_types

    def __iter__(self):
        yield "actorid", self.actor_id
        yield "entitytypes", "|".join(self.entity_types)
